FlexNet licensing error -10: Feature has expired

Summary

An Arm tool reports an error containing one or more of the following:

Flex error code: -10
Flexnet licensing error -10
The license has expired. 

What causes this error, and how do I solve it?

Answer

The following table lists possible causes and resolutions for the issue:

Cause Resolution

The license for your tool has expired.

Contact Arm directly or obtain a quote through one of our trusted distributors. You may need to change the ARMLMD_LICENSE_FILE environment variable to point at the new license. You can follow the instructions in the KBA for the installation of a node-locked license